#include<iostream>
using namespace std;
long long V,V1,o1,o2,o3,stepen=1;
int bc,b;
int main(){
    cin>>V;
    while(V>0){
        V1=V;
        while(V1>0){
            V1/=10;
            bc++;
        }
        for(int i=1;i<bc;i++){
         stepen*=10;
        }
    o1=stepen;
    o2=2*stepen;
    o3=5*stepen;
   /* cout<<o1<<" "<<o2<<" "<<o3<<endl;
    return 0;*/
    if(V>=o3){
        b+=V/o3;
        V%=o3;
    }
    else if(V>=o2){
        b+=V/o2;
        V%=o2;
    }
    else{
        b+=V/o1;
        V%=o1;
    }
    bc=0;
    stepen=1;
  //  cout<<V<<endl;
}
cout<<b<<endl;
 return 0;
}